"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RootGenerator = void 0;
const node_path_1 = __importDefault(require("node:path"));
const shared_1 = require("../shared");
const typescript_package_1 = __importDefault(require("../typescript-package"));
var GeneratedProjectType;
(function (GeneratedProjectType) {
    GeneratedProjectType["TypeScriptPackage"] = "TypeScript Package";
})(GeneratedProjectType || (GeneratedProjectType = {}));
class RootGenerator extends shared_1.BaseGenerator {
    constructor(args, options) {
        super(args, options);
        if (this.options.config) {
            this.loadConfig(this.options.config);
        }
    }
    static getQuestions() {
        return [
            {
                type: "list",
                name: "projectType",
                message: "What kind of project do you want to generate?",
                choices: Object.values(GeneratedProjectType),
                default: GeneratedProjectType.TypeScriptPackage,
            },
        ];
    }
    configureSubGenerators() {
        const { projectType } = this.answers;
        if (projectType === GeneratedProjectType.TypeScriptPackage) {
            return [
                {
                    Generator: typescript_package_1.default,
                    path: node_path_1.default.join(__dirname, "../typescript-package"),
                },
            ];
        }
        return [];
    }
    writing() {
        return;
    }
}
exports.RootGenerator = RootGenerator;
//# sourceMappingURL=RootGenerator.js.map