import { Question } from "yeoman-generator";
import { CodeAnalysisGenerator } from "../code-analysis/index";
import { GitGenerator } from "../git/index";
import { GitHubGenerator, GitHubGeneratorOptions } from "../github/index";
import { GitignoreGenerator } from "../gitignore/index";
import { NodeModuleGenerator, NodeModuleGeneratorOptions } from "../node-module/index";
import { BaseGenerator } from "../shared/index";
import { TestingGenerator } from "../testing/index";
import { TypeScriptGenerator } from "../typescript/index";
export interface TypeScriptPackageGeneratorOptions extends NodeModuleGeneratorOptions, GitHubGeneratorOptions {
}
export declare class TypeScriptPackageGenerator extends BaseGenerator<TypeScriptPackageGeneratorOptions> {
    static getQuestions(): Question<TypeScriptPackageGeneratorOptions>[];
    writing(): void;
    protected configureSubGenerators: () => ({
        Generator: typeof GitignoreGenerator;
        path: string;
    } | {
        Generator: typeof NodeModuleGenerator;
        path: string;
    } | {
        Generator: typeof TypeScriptGenerator;
        path: string;
    } | {
        Generator: typeof TestingGenerator;
        path: string;
    } | {
        Generator: typeof GitGenerator;
        path: string;
    } | {
        Generator: typeof CodeAnalysisGenerator;
        path: string;
    } | {
        Generator: typeof GitHubGenerator;
        path: string;
    })[];
}
//# sourceMappingURL=TypeScriptPackageGenerator.d.ts.map