"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeScriptPackageGenerator = void 0;
const node_path_1 = __importDefault(require("node:path"));
const index_1 = require("../circleci/index");
const index_2 = require("../code-analysis/index");
const index_3 = require("../eslint/index");
const index_4 = require("../git/index");
const index_5 = require("../github/index");
const index_6 = require("../gitignore/index");
const index_7 = require("../node-module/index");
const index_8 = require("../shared/index");
const index_9 = require("../testing/index");
const index_10 = require("../typescript/index");
class TypeScriptPackageGenerator extends index_8.BaseGenerator {
    constructor() {
        super(...arguments);
        this.configureSubGenerators = () => {
            return [
                {
                    Generator: index_6.GitignoreGenerator,
                    path: node_path_1.default.join(__dirname, "../gitignore"),
                },
                {
                    Generator: index_7.NodeModuleGenerator,
                    path: node_path_1.default.join(__dirname, "../node-module"),
                },
                {
                    Generator: index_10.TypeScriptGenerator,
                    path: node_path_1.default.join(__dirname, "../typescript"),
                },
                {
                    Generator: index_3.EsLintGenerator,
                    path: node_path_1.default.join(__dirname, "../eslint"),
                },
                {
                    Generator: index_9.TestingGenerator,
                    path: node_path_1.default.join(__dirname, "../testing"),
                },
                {
                    Generator: index_4.GitGenerator,
                    path: node_path_1.default.join(__dirname, "../git"),
                },
                {
                    Generator: index_1.CircleCiGenerator,
                    path: node_path_1.default.join(__dirname, "../circleci"),
                },
                {
                    Generator: index_2.CodeAnalysisGenerator,
                    path: node_path_1.default.join(__dirname, "../code-analysis"),
                },
                {
                    Generator: index_5.GitHubGenerator,
                    path: node_path_1.default.join(__dirname, "../github"),
                },
            ];
        };
    }
    static getQuestions() {
        return [
            ...index_7.NodeModuleGenerator.getQuestions(),
            ...index_5.GitHubGenerator.getQuestions(),
        ];
    }
    writing() {
        return;
    }
}
exports.TypeScriptPackageGenerator = TypeScriptPackageGenerator;
//# sourceMappingURL=TypeScriptPackageGenerator.js.map